import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增订单计费单
    appOrdersheet(data) {
        return request({
            url: '/order/sheet',
            method: 'post',
            data
        })
    },
    //查询计费单商品详情
    inquireOrdersheetgoodsList(data) {
        return request({
            url: '/order/sheet/goods',
            method: 'get',
            params: data
        })
    },
    //修改订单计费单商品
    editordersheetgoods(data) {
        return request({
            url: '/order/sheet/goods/edit',
            method: 'post',
            data
        })
    },
    //查询订单计费单列表
    inquireOrdersheetList(data) {
        return request({
            url: '/order/sheet/list',
            method: 'get',
            params: data
        })
    },
    //商品订单查询商品计费单列表
    inquireOrdersheetsheetList(data) {
        return request({
            url: '/order/sheet/sheet_list',
            method: 'get',
            params: data
        })
    },
    //获取订单计费单详细信息
    obtainOrdersheet(data) {
        return request({
            url: `/order/sheet/` + data,
            method: 'get',
        })
    },
    //通过sheetSn获取订单计费单详细信息
    obtainOrdersheetSn(data) {
        return request({
            url: `/order/sheet/sheetSn/` + data,
            method: 'get',
        })
    },
}